package com.cool.store.service;

import com.cool.store.context.LoginUserInfo;
import com.cool.store.entity.HyPartnerBaseInfoDO;
import com.cool.store.entity.HyPartnerUserInfoDO;
import com.cool.store.request.AddTagsRequest;
import com.cool.store.request.PartnerBaseInfoRequest;
import com.cool.store.vo.PartnerBaseInfoVO;
import com.cool.store.vo.PartnerUserInfoVO;

/**
 * @Author suzhuhong
 * @Date 2023/6/13 21:37
 * @Version 1.0
 */
public interface HyPartnerBaseInfoService {


    /**
     * 添加标签
     * @param addTagsRequest
     * @return
     */
    Boolean addTags(LoginUserInfo userInfo,AddTagsRequest addTagsRequest);

    Boolean submitPartnerBaseInfo(PartnerBaseInfoRequest request, PartnerUserInfoVO currentUser);

    PartnerBaseInfoVO queryPartnerBaseInfo(String partnerId, Long lineId);

    PartnerBaseInfoVO getByPartnerLineId(Long lineId);

    HyPartnerBaseInfoDO getByIdCard(String idCard);

    Boolean changeBinding(String idCard, Long lineId, PartnerUserInfoVO currentUser);

    HyPartnerBaseInfoDO generateBaseInfo(HyPartnerUserInfoDO hyPartnerUserInfoDO, Long partnerLineId, String userPortrait);



}
